<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.app.mapper.ApplicationInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.modules.app.entity.ApplicationInfoDO">
        <result column="id" property="id" />
        <result column="version" property="version" />
        <result column="is_deleted" property="isDeleted" />
        <result column="created_time" property="createdTime" />
        <result column="creator" property="creator" />
        <result column="modified_time" property="modifiedTime" />
        <result column="modifier" property="modifier" />
        <result column="link_id" property="linkId" />
        <result column="link_table" property="linkTable" />
        <result column="state" property="state" />
        <result column="message" property="message" />
        <result column="type" property="type" />
        <result column="submit_user_id" property="submitUserId" />
        <result column="submit_user_name" property="submitUserName" />
        <result column="submit_phone" property="submitPhone" />
        <result column="apply_user_id" property="applyUserId" />
        <result column="apply_user_name" property="applyUserName" />
        <result column="apply_phone" property="applyPhone" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,
        version,
        is_deleted,
        created_time,
        creator,
        modified_time,
        modifier,
        link_id, link_table, state, message, type, submit_user_id, submit_user_name, submit_phone, apply_user_id, apply_user_name, apply_phone
    </sql>


    <delete id="realDeleteById" >
        delete from tb_application_info where id = #{id}
    </delete>

</mapper>
